POST
/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/{austrianDonationSubmissionId}/processAustrianDonationSubmissionExportProcess Austrian donation submission export
Processes the export file of an Austrian donation submission
Required permissions:
mandate.read
austrianDonationSubmission.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired austrianDonationSubmissionIdstringrequired Authentication: X-API-Key
Request
POST/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/{austrianDonationSubmissionId}/processAustrianDonationSubmissionExport
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/{austrianDonationSubmissionId}/processAustrianDonationSubmissionExport' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
200
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
400
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
401
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
403
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
500
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}